commit:     b4c3ca2dffbdb053517339d48361269d2c9ebe9d
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue May 24 17:11:47 2022 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue May 24 17:36:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b4c3ca2d

dev-ml/mirage-crypto: add 0.10.6

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-ml/mirage-crypto/Manifest                    |  1 +
 dev-ml/mirage-crypto/mirage-crypto-0.10.6.ebuild | 91 ++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-ml/mirage-crypto/Manifest b/dev-ml/mirage-crypto/Manifest
index 89f9043cb..ba660d0b8 100644
--- a/dev-ml/mirage-crypto/Manifest
+++ b/dev-ml/mirage-crypto/Manifest
@@ -1,2 +1,3 @@
+DIST mirage-crypto-0.10.6.tbz 1206906 BLAKE2B 
7b6d6a323b0aa6f2a0328d8817bd4447c00083127b8b277ce7d10b952841b8554278d37b48e936b05bd6a04117960241d6f4bf7d1c00a3ba364ec2c3c8535162
 SHA512 
870b7d0d32acde970afcd3fac2cb51131ac74bb20c887d07ddfccd239467a5dc8b700adf463427fa916393c503f106feb733cba5bf4b9d1f8eb57f52b5af9f9c
 DIST mirage-crypto-v0.10.1.tbz 1200115 BLAKE2B 
4a7557adb0e16834a6e298fb52f40b85e67cde44fdc04607dfd46a8a29a1957e1a61bfcec1c35f80477e1319dc2fe850fc65aac3c07ba9b706e6cfdec563a0e6
 SHA512 
08ba60ae7cc0e0c77b4d71fa05241bfd2e47bfb907cf7e1a4f6bd8bf62854ee82becd2f4e65eade1a01b58d91fb33829f4f69b39e8910df9cfeaa87c933a336d
 DIST mirage-crypto-v0.10.5.tbz 1207228 BLAKE2B 
bea0dc169c9ae79196ab4f74b624f191a45f051b8cf0c3774d4eb7323f1139d1e7e78b59f46c986bffba4c570c408d9d4f8db19cce4f6d4b233aa00d00f7ec04
 SHA512 
18b493be1e7909e8429bc5ddd1f0d1175aab9e21a10711e95749b74f1d9f851a5cfd3ee1a5b3b73a47b5fc54d6458a911ec586ab243e63bf276d2777a787ae51

diff --git a/dev-ml/mirage-crypto/mirage-crypto-0.10.6.ebuild 
b/dev-ml/mirage-crypto/mirage-crypto-0.10.6.ebuild
new file mode 100644
index 000000000..71ee0dabd
--- /dev/null
+++ b/dev-ml/mirage-crypto/mirage-crypto-0.10.6.ebuild
@@ -0,0 +1,91 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune multiprocessing
+
+DESCRIPTION="Simple symmetric cryptography for the modern age"
+HOMEPAGE="
+       https://github.com/mirage/mirage-crypto
+       https://opam.ocaml.org/packages/mirage-crypto/
+"
+SRC_URI="https://github.com/mirage/mirage-crypto/releases/download/v${PV}/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="ec ocamlopt pk rng rng-async rng-mirage test"
+
+DEPEND="
+       >=dev-lang/ocaml-4.08.0:=[ocamlopt?]
+       >=dev-ml/cstruct-6.0.0:=
+       >=dev-ml/eqaf-0.8:=
+
+       pk? (
+               dev-libs/gmp
+               >=dev-ml/mirage-4.0:=
+               dev-ml/sexplib0:=
+               >=dev-ml/zarith-1.4:=
+       )
+       rng? (
+               dev-ml/duration:=
+               dev-ml/logs:=
+               >=dev-ml/lwt-4.0.0:=
+               >=dev-ml/mtime-1.0.0:=
+       )
+       rng-async? ( >=dev-ml/async-0.14:= )
+       rng-mirage? (
+               >=dev-ml/lwt-4.0.0:=
+               >=dev-ml/mirage-3.8.0:=
+               >=dev-ml/mirage-clock-3.0.0:=
+       )
+"
+RDEPEND="
+       ${DEPEND}
+       test? (
+               dev-ml/ounit2
+               >=dev-ml/randomconv-0.1.3
+               dev-ml/hex
+               >=dev-ml/asn1-combinators-0.2.5
+               dev-ml/ppx_deriving
+               dev-ml/ppx_deriving_yojson
+               >=dev-ml/yojson-1.6.0
+               dev-ml/alcotest
+               >=dev-ml/mirage-clock-unix-3.0.0
+               >=dev-ml/mirage-time-2.0.0[unix]
+               >=dev-ml/mirage-unix-5.0.0
+       )
+"
+BDEPEND="
+       >=dev-ml/dune-configurator-2.0.0
+       virtual/pkgconfig
+"
+
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       test? ( ec pk rng )
+       ec? ( rng )
+       pk? ( rng )
+       rng-async? ( rng )
+       rng-mirage? ( rng )
+"
+
+src_compile() {
+       local pkgs="mirage-crypto"
+       for u in rng rng-async rng-mirage pk ec ; do
+               if use ${u} ; then
+                       pkgs="${pkgs},mirage-crypto-${u}"
+               fi
+       done
+       dune build -p "${pkgs}" -j $(makeopts_jobs) || die
+}
+
+src_install() {
+       dune_src_install mirage-crypto
+       use rng && dune_src_install mirage-crypto-rng
+       use ec && dune_src_install mirage-crypto-ec
+       use pk && dune_src_install mirage-crypto-pk
+       use rng-async && dune_src_install mirage-crypto-rng-async
+       use rng-mirage && dune_src_install mirage-crypto-rng-mirage
+}

Reply via email to